// $--color-gray-50: hsl(230, 10%, 96%);
// $--color-gray-100: hsl(230, 10%, 92%);
// $--color-gray-200: hsl(230, 10%, 86%);
// $--color-gray-300: hsl(230, 10%, 76%);
// $--color-gray-400: hsl(230, 10%, 66%);
// $--color-gray-500: hsl(230, 10%, 56%);
// $--color-gray-600: hsl(230, 10%, 46%);
// $--color-gray-700: hsl(230, 10%, 36%);
// $--color-gray-800: hsl(230, 10%, 26%);
// $--color-gray-900: hsl(230, 10%, 15%);

// $--color-red-100: hsl(351, 100%, 96%);
// $--color-red-200: hsl(351, 100%, 86%);
// $--color-red-300: hsl(351, 100%, 76%);
// $--color-red-400: hsl(351, 100%, 66%);
// $--color-red-500: hsl(351, 100%, 46%);
// $--color-red-600: hsl(351, 100%, 36%);
// $--color-red-700: hsl(351, 100%, 26%);
// $--color-red-800: hsl(351, 100%, 16%);
// $--color-red-900: hsl(351, 100%, 6%);

// $--color-blue-100: hsl(215, 48%, 96%);
// $--color-blue-200: hsl(215, 48%, 86%);
// $--color-blue-300: hsl(215, 48%, 76%);
// $--color-blue-400: hsl(215, 48%, 66%);
// $--color-blue-500: hsl(215, 48%, 49%);
// $--color-blue-600: hsl(215, 48%, 36%);
// $--color-blue-700: hsl(215, 48%, 26%);
// $--color-blue-800: hsl(215, 48%, 16%);
// $--color-blue-900: hsl(215, 48%, 6%);

// $--color-green-100: hsl(154, 48%, 96%);
// $--color-green-200: hsl(154, 48%, 86%);
// $--color-green-300: hsl(154, 48%, 76%);
// $--color-green-400: hsl(154, 48%, 66%);
// $--color-green-500: hsl(154, 48%, 49%);
// $--color-green-600: hsl(154, 48%, 36%);
// $--color-green-700: hsl(154, 48%, 26%);
// $--color-green-800: hsl(154, 48%, 16%);
// $--color-green-900: hsl(154, 48%, 6%);

:root {
	--color-gray-50: hsl(230, 10%, 96%);
	--color-gray-100: hsl(230, 10%, 92%);
	--color-gray-200: hsl(230, 10%, 86%);
	--color-gray-300: hsl(230, 10%, 76%);
	--color-gray-400: hsl(230, 10%, 66%);
	--color-gray-500: hsl(230, 10%, 56%);
	--color-gray-600: hsl(230, 10%, 46%);
	--color-gray-700: hsl(230, 10%, 36%);
	--color-gray-800: hsl(230, 10%, 26%);
	--color-gray-900: hsl(230, 10%, 15%);

	--color-red-100: hsl(351, 100%, 96%);
	--color-red-200: hsl(351, 100%, 86%);
	--color-red-300: hsl(351, 100%, 76%);
	--color-red-400: hsl(351, 100%, 66%);
	--color-red-500: hsl(351, 100%, 46%);
	--color-red-600: hsl(351, 100%, 36%);
	--color-red-700: hsl(351, 100%, 26%);
	--color-red-800: hsl(351, 100%, 16%);
	--color-red-900: hsl(351, 100%, 6%);

	--color-blue-100: hsl(200, 100%, 96%);
	--color-blue-200: hsl(200, 100%, 86%);
	--color-blue-300: hsl(200, 100%, 76%);
	--color-blue-400: hsl(200, 100%, 66%);
	--color-blue-500: hsl(200, 100%, 49%);
	--color-blue-600: hsl(200, 100%, 36%);
	--color-blue-700: hsl(200, 100%, 26%);
	--color-blue-800: hsl(200, 100%, 16%);
	--color-blue-900: hsl(200, 100%, 6%);

	--color-green-100: hsl(154, 48%, 96%);
	--color-green-200: hsl(154, 48%, 86%);
	--color-green-300: hsl(154, 48%, 76%);
	--color-green-400: hsl(154, 48%, 66%);
	--color-green-500: hsl(154, 48%, 49%);
	--color-green-600: hsl(154, 48%, 36%);
	--color-green-700: hsl(154, 48%, 26%);
	--color-green-800: hsl(154, 48%, 16%);
	--color-green-900: hsl(154, 48%, 6%);

	--color-shade-100: var(--color-gray-100);
	--color-shade-200: var(--color-gray-200);
	--color-shade-300: var(--color-gray-300);
	--color-shade-400: var(--color-gray-400);
	--color-shade-500: var(--color-gray-500);
	--color-shade-600: var(--color-gray-600);
	--color-shade-700: var(--color-gray-700);
	--color-shade-800: var(--color-gray-800);
	--color-shade-900: var(--color-gray-900);

	--color-primary-100: var(--color-blue-100);
	--color-primary-200: var(--color-blue-200);
	--color-primary-300: var(--color-blue-300);
	--color-primary-400: var(--color-blue-400);
	--color-primary-500: var(--color-blue-500);
	--color-primary-600: var(--color-blue-600);
	--color-primary-700: var(--color-blue-700);
	--color-primary-800: var(--color-blue-800);
	--color-primary-900: var(--color-blue-900);

	--color-fg: var(--color-gray-900);
	--color-bg: var(--color-gray-50);
	--color-bg-image: url(/images/bg-light.jpg);

	// Glass
	--color-glass-bg: hsla(230, 10%, 15%, 5%); // color-shade-900
	--color-glass-border: hsla(230, 10%, 15%, 10%); // color-shade-900

	// Card
	--color-card-bg: var(--color-shade-100);
	--color-card-border: var(--color-shade-200);
	--color-card-glass-bg: var(--color-glass-bg);
	--color-card-glass-border: var(--color-glass-border);

	// Input
	--color-input-bg: var(--color-shade-100);
	--color-input-border: var(--color-shade-200);
	--color-input-glass-bg: var(--color-glass-bg);
	--color-input-glass-border: var(--color-glass-border);
}

:global(html.theme-dark) {
	--color-fg: var(--color-gray-50);
	--color-bg: var(--color-gray-900);
	--color-bg: var(--color-gray-900);
	--color-bg-image: url(/images/bg-dark.jpg);

	// Glass
	--color-glass-bg: hsla(230, 10%, 92%, 5%); // color-shade-100
	--color-glass-border: hsla(230, 10%, 92%, 10%); // color-shade-100

	// Card
	--color-card-bg: var(--color-shade-800);
	--color-card-border: var(--color-shade-900);

	// Input
	--color-input-bg: var(--color-shade-700);
	--color-input-border: var(--color-shade-800);
	--color-input-glass-bg: hsla(230, 10%, 92%, 10%); // color-shade-100
	--color-input-glass-border: hsla(230, 10%, 92%, 30%); // color-shade-100
}

:global(html.theme-pure-dark) {
	--color-fg: #fff;
	--color-bg: #000;
	--color-bg-image: none;

	// Glass
	--color-glass-bg: hsla(230, 10%, 92%, 5%); // color-shade-100
	--color-glass-border: hsla(230, 10%, 56%, 10%); // color-shade-500

	// Card
	--color-card-bg: var(--color-shade-800);
	--color-card-border: var(--color-shade-900);

	// Input
	--color-input-bg: var(--color-shade-800);
	--color-input-border: var(--color-shade-900);
}

:global(html.theme-pure-light) {
	--color-fg: #000;
	--color-bg: #fff;
	--color-bg-image: none;
}
